package com.androidphonesignal;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Window;

public class InitActivity extends Activity{
	@SuppressWarnings("unused")
	private static final String TAG = "InitActivity";
    private boolean active = true;
    private int time = 1000;
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        this.requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.init);
        
        // thread for displaying the SplashScreen
        Thread splashTread = new Thread() {
            @Override
            public void run() {
                try {
                    int waited = 0;
                    while(active && (waited < time)) {
                        sleep(100);
                        if(active) {
                            waited += 100;
                        }
                    }
                } catch(InterruptedException e) {
                    // do nothing
                } finally {
                    startActivity(new Intent(InitActivity.this, AndroidSignalActivity.class));
                    finish();
                }
            }
        };
        splashTread.start();
	}
	
	@Override
	public void onPause()
	{
		super.onPause();
		this.finish();
	}
}
